Exchange
List currency pairs
GET
The directions the merchant can exchange; where a direction has a merchant-specific configuration, that configuration is used. Rates are given in quotes, not in this list.
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
Currency pairs
application/json- response
data*array<>curl -X GET 'https://sandbox.getupp.net/api/v1/currency-pairs'Example Response
{ "data": [ { "sell_currency": "ETH", "buy_currency": "USD", "min_sell_amount": "0.01000000", "max_sell_amount": null } ]}